rapidjson::FileStream Class Reference

(Deprecated) Wrapper of C file stream for input or output. More...

`#include <filestream.h>`

## Public Types

typedef char | Ch
| Character type. Only support char.

## Public Member Functions

| FileStream (FILE *fp)
char | Peek () const
char | Take ()
size_t | Tell () const
void | Put (char c)
void | Flush ()
char * | PutBegin ()
size_t | PutEnd (char *)

## Detailed Description

(Deprecated) Wrapper of C file stream for input or output.

This simple wrapper does not check the validity of the stream.

Note
  implements Stream concept
  deprecated: This was only for basic testing in version 0.1, it is found that the performance is very low by using fgetc(). Use FileReadStream instead.

The documentation for this class was generated from the following file:

- include/rapidjson/filestream.h